<?php

namespace Drupal\watchdog_slack\PageControllers;

class Settings implements \Drupal\cool\Controllers\PageController {

  /**
   * Path to be used by hook_menu().
   */
  static public function getPath() {
    return 'admin/config/services/slack/watchdog';
  }

  /**
   * Passed to hook_menu()
   */
  static public function getDefinition() {
    return array(
      'title' => t('Watchdog'),
      'description' => 'Watchdog to Slack configuration page',
      'type' => MENU_NORMAL_ITEM
    );
  }

  public static function accessCallback() {
    return user_access('administer site configuration');
  }

  public static function pageCallback() {
    return \Drupal\watchdog_slack\FormControllers\Settings::getForm();
  }

}
